Hello community,

here is the log from the commit of package courier-authlib for openSUSE:Factory 
checked in at 2017-12-07 13:53:20
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/courier-authlib (Old)
 and      /work/SRC/openSUSE:Factory/.courier-authlib.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "courier-authlib"

Thu Dec  7 13:53:20 2017 rev:41 rq:548100 version:0.68.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/courier-authlib/courier-authlib.changes  
2017-04-20 20:55:36.400455246 +0200
+++ /work/SRC/openSUSE:Factory/.courier-authlib.new/courier-authlib.changes     
2017-12-07 13:53:33.201900935 +0100
@@ -1,0 +2,18 @@
+Mon Dec  4 11:28:47 UTC 2017 - suse+bu...@de-korte.org
+
+- update to 0.68.0
+  * authldaplib.cpp: Rewrite authldap in modern C++. Autodetect
+    and automatically reload authldaprc when it is changed. No server
+    restart is required.
+  * authldaplib.cpp (operator): Fix compilation warning.
+  * checkpassword.c (do_authcheckpassword): Check for a null return
+    value from crypt().
+  * authsqlite, authmysql, authpgsql: Rewrite these modules in
+    modern C++. Autodetect and automatically reload the configuration
+    file when it's changed, no server restart is needed.
+  * userdb/userdbpw.c (main): Use bcrypt_gensalt() on OpenBSD
+  * courierauth.h: Move declarations from cramlib.h into courierauth.h,
+    exporting them as part of the public API.
+  * configure.ac: Rebuild against updated courier-unicode API.
+  
+-------------------------------------------------------------------

Old:
----
  courier-authlib-0.66.4.tar.bz2
  courier-authlib-0.66.4.tar.bz2.sig

New:
----
  courier-authlib-0.68.0.tar.bz2
  courier-authlib-0.68.0.tar.bz2.sig

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ courier-authlib.spec ++++++
--- /var/tmp/diff_new_pack.HAlSUG/_old  2017-12-07 13:53:35.017835086 +0100
+++ /var/tmp/diff_new_pack.HAlSUG/_new  2017-12-07 13:53:35.021834941 +0100
@@ -20,7 +20,7 @@
 Summary:        Courier authentication library
 License:        SUSE-GPL-3.0-with-openssl-exception
 Group:          Productivity/Networking/Email/Servers
-Version:        0.66.4
+Version:        0.68.0
 Release:        0
 Url:            http://www.courier-mta.org/imap/
 Source0:        %{name}-%{version}.tar.bz2
@@ -32,7 +32,7 @@
 Patch0:         %{name}-authdaemonrc.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 PreReq:         coreutils
-BuildRequires:  courier-unicode-devel
+BuildRequires:  courier-unicode-devel >= 2.0
 BuildRequires:  expect
 BuildRequires:  gcc-c++
 BuildRequires:  gdbm-devel

++++++ courier-authlib-0.66.4.tar.bz2 -> courier-authlib-0.68.0.tar.bz2 ++++++
++++ 18816 lines of diff (skipped)


Reply via email to